com.amazonaws.codegen.emitters

## Class JavaCodeFormatter

- java.lang.Object
- - com.amazonaws.codegen.emitters.JavaCodeFormatter

    public class JavaCodeFormatter
    extends Object

Formats the generated java source code. Uses Eclipse JDT core plugin from the Eclipse SDK.

### Constructor Summary

Constructors
Constructor and Description
`JavaCodeFormatter()` Creates a JavaCodeFormatter using the default formatter options.
`JavaCodeFormatter(Map<String,Object> overrideOptions)` Creates a JavaCodeFormatter using the default formatter options and optionally applying user provided options on top.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(String contents)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaCodeFormatter

    public JavaCodeFormatter()

Creates a JavaCodeFormatter using the default formatter options.

#### JavaCodeFormatter

    public JavaCodeFormatter(Map<String,Object> overrideOptions)

Creates a JavaCodeFormatter using the default formatter options and optionally applying user provided options on top.

Parameters:
  `overrideOptions` - user provided options to apply on top of defaults

### Method Detail

#### format

    public String format(String contents)